package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.VoteEvents;
import com.vote.system.domain.vo.VoteEventsVo;

/**
* @author MacBook
* @description 针对表【vote_events(活动表)】的数据库操作Service
* @createDate 2024-08-11 17:38:19
*/
public interface VoteEventsService extends IService<VoteEvents> {

    Long addEvents(VoteEvents voteEvents);

    IPage<VoteEventsVo> getEventsList(VoteEvents voteEvents);

    VoteEventsVo getEventsById(Long id);

    int deleteEvents(Long id);

    boolean changeStatus(Long id, String status);

    int edit(VoteEvents voteEvents);
}
